﻿using AutoWorkshopDatabaseImplement.Models;
using Microsoft.EntityFrameworkCore;

namespace AutoWorkshopDatabaseImplement
{
    public class AutoWorkshopDatabase : DbContext
    {
        protected override void OnConfiguring(DbContextOptionsBuilder OptionsBuilder)
        {
            if (OptionsBuilder.IsConfigured == false)
            {
                OptionsBuilder.UseNpgsql(@"Host=localhost;Database=AutoWorkshop;Username=postgres;Password=admin");
            }
            
            base.OnConfiguring(OptionsBuilder);
            
            AppContext.SetSwitch("Npgsql.EnableLegacyTimestampBehavior", true);
            AppContext.SetSwitch("Npgsql.DisableDateTimeInfinityConversions", true);
        }
        
        public virtual DbSet<Component> Components { set; get; }
        
        public virtual DbSet<Repair> Repairs { set; get; }
        
        public virtual DbSet<RepairComponent> RepairComponents { set; get; }
        
        public virtual DbSet<Order> Orders { set; get; }

        public virtual DbSet<Client> Clients { set; get; }

        public virtual DbSet<Implementer> Implementers { set; get; }

        public virtual DbSet<MessageInfo> Messages { set; get; }
    }
}
