﻿using AutoWorkshopListImplement.Models;

namespace AutoWorkshopListImplement
{
    public class DataListSingleton
    {
        private static DataListSingleton? _instance;
        
        public List<Component> Components { get; set; }
        
        public List<Order> Orders { get; set; }
        
        public List<Repair> Repairs { get; set; }

        public List<Client> Clients { get; set; }

        public List<Implementer> Implementers { get; set; }

        public List<MessageInfo> Messages { get; set; }

        private DataListSingleton()
        {
            Components = new List<Component>();
            Orders = new List<Order>();
            Repairs = new List<Repair>();
            Clients = new List<Client>();
            Implementers = new List<Implementer>();
            Messages = new List<MessageInfo>();
        }

        public static DataListSingleton GetInstance()
        {
            if (_instance == null)
            {
                _instance = new DataListSingleton();
            }

            return _instance;
        }
    }
}
